# How-to guides

The how-to guides in this section describe most of the common tasks involved in updating and controlling overlays using the Singular REST API. In these guides, you'll learn how to get information about app instances and sub-compositions, as well as how to update overlay content and animate overlays In and Out. They include:

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a href="/pages/vVtvXw71KwjnRqGm32Ck">How to get a control app's API token</a></td></tr><tr><td><a href="/pages/MkwOpPnxrMRkXY4l96X4">How to get an overlay's sub-composition ID(s)</a></td></tr><tr><td><a href="/pages/9lhKoBHO3ipB0YzZ5uOy">How to get a control app's model</a></td></tr><tr><td><a href="/pages/xEo24fPdtDQkELNJ8xdL">How to get a control app's metadata</a></td></tr><tr><td><a href="/pages/vILoDbXjtlAp31bZtE16">How to update an overlay's content</a></td></tr><tr><td><a href="/pages/rDzOBn9F4cE7prkhunpH">How to animate overlays In and Out</a></td></tr><tr><td><a href="/pages/lq5JW43d06reeRovAr8b">How to simultaneously update and overlay and animate it In and Out</a></td></tr><tr><td><a href="/pages/icUf5chjDMO79ak9ZQeZ">How to update multiple sub-compositions in one request</a></td></tr></tbody></table>

These how-to guides are language and platform agnostic. Thus, you can follow along using cURL or whatever language you use to make API requests, as well as on Postman or the API platform of your choice.

For more basic instructions about getting started with Singular, check out the [quick start](/quick-start.md). The knowledge you gain going through it will enable you to follow the how-to guides here.

{% hint style="info" %}
These how-to guides require a Singular account, which you can get [here](https://app.singular.live/users/login).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.singular.live/rest-api/how-to-guides.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
